Skip to main content
GET
/
operations
/
{assistant_name}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

# List all operations
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/operations/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"

# Filter by status
# curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/operations/$ASSISTANT_NAME?status=Processing" \
#   -H "Api-Key: $PINECONE_API_KEY" \
#   -H "X-Pinecone-Api-Version: 2026-04"
{
  "operations": [
    {
      "created_on": "2025-10-01T12:30:00.000Z",
      "file_id": "my-report-2025",
      "id": "op-1234-abcd-5678",
      "operation_type": "upload_file",
      "percent_complete": 42,
      "status": "Processing"
    },
    {
      "completed_on": "2025-10-01T12:05:00.000Z",
      "created_on": "2025-10-01T12:00:00.000Z",
      "file_id": "quarterly-analysis",
      "id": "op-8765-dcba-4321",
      "operation_type": "upload_file",
      "percent_complete": 100,
      "status": "Completed"
    },
    {
      "completed_on": "2025-10-01T11:32:00.000Z",
      "created_on": "2025-10-01T11:30:00.000Z",
      "error_message": "File processing failed: unsupported file format.",
      "file_id": "invalid-file",
      "id": "op-5555-eeee-9999",
      "operation_type": "upload_file",
      "percent_complete": 15,
      "status": "Failed"
    },
    {
      "completed_on": "2025-10-01T11:02:00.000Z",
      "created_on": "2025-10-01T11:00:00.000Z",
      "file_id": "old-report",
      "id": "op-7777-ffff-0000",
      "operation_type": "delete_file",
      "percent_complete": 100,
      "status": "Completed"
    }
  ],
  "pagination": {
    "next": "dXNlcl9pZD11c2VyXzE="
  }
}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

# List all operations
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/operations/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"

# Filter by status
# curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/operations/$ASSISTANT_NAME?status=Processing" \
#   -H "Api-Key: $PINECONE_API_KEY" \
#   -H "X-Pinecone-Api-Version: 2026-04"

Authorizations

Api-Key
string
header
required

Pinecone API Key

Headers

X-Pinecone-Api-Version
string
default:2026-04
required

Required date-based version header

Path Parameters

assistant_name
string
required

The name of the assistant to list operations for.

Query Parameters

operation_type
string

Filter operations by type.

status
string

Filter operations by status.

limit
integer

Limit on the number of operations to return.

Required range: 1 <= x <= 100
pagination_token
string

Pagination token to continue a previous listing operation.

Response

A list of operations.

A list of operations.

operations
object[]

The list of operations for the assistant.

pagination
object

Object that contains the next pagination token to continue a previous listing operation.

Example:
{ "next": "dXNlcl9pZD11c2VyXzE=" }